### Function

# Dex file_load_partial_contents_bytes

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_file_load_partial_contents_bytes (
      GFile* file,
      GFileReadMoreCallback read_more_callback,
      gpointer read_more_callback_data,
      GDestroyNotify read_more_callback_data_destroy
    )

#### Description [src]

Wraps `g_file_load_partial_contents_async()`.

Available since: 1.2

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`read_more_callback`

  Type: `GFileReadMoreCallback`

  callback to determine if more bytes should be loaded.

  The argument can be `NULL`.

`read_more_callback_data`

  Type: `gpointer`

  User data for `read_more_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`read_more_callback_data_destroy`

  Type: `GDestroyNotify`

  Destroys `read_more_callback_data`.

  The argument can be `NULL`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GBytes` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.